Subject: Re: time-stamp-draft-7

From: Joerg Seidel <[email-masked]>
Date: Fri, 28 Apr 2000 17:00:20 +0200

It would work, but who knows in which way GeneralName will be changed in
future. To add one more tag seems to be cleaner. Another "dirty" change would
be to tag Extensions with [1]. Since In GeneralName the tag [1] is used for a
primitive type (IA5String) the encoding differs from the encoding of the
Extensions tag. I'd rather add another tag.

Jörg
--
timeproof                               phone  +49-40-76629-1911
Development                             fax    +49-40-76629-551
Harburger Schloßstraße 6-12             mailto:[email-masked]
D-21079 Hamburg                         http://www.timeproof.de

[email-masked] schrieb:
> 
>      It is equally safe to give extensions a high tag and leave GeneralName
> untagged, e.g. TSTInfo ::= SEQUENCE
> {         [...]
>       tsa                   GeneralName          OPTIONAL,
>       extensions            [30] IMPLICIT Extensions OPTIONAL
> }
> 
>      Wouldn't this be better than throwing in extra tags?  Tag numbers
> above 30 should be avoided whenever possible, of course, because they are
> multi-byte tags.  Of course, since Accuracy is an optional sequence,
> leaving extensions untagged doesn't work.